Next: FLUSH, Previous: FINDLOC, Up: Intrinsic Procedures [Contents][Index]

### 9.109 `FLOOR` — Integer floor function

Description:

  `FLOOR(A)` returns the greatest integer less than or equal to X.

Standard:

  Fortran 95 and later

Class:

  Elemental function

Syntax:

  `RESULT = FLOOR(A [, KIND])`

Arguments:

  A | The type shall be `REAL`.
  KIND | (Optional) An `INTEGER` initialization expression indicating the kind parameter of the result.

Return value:

  The return value is of type `INTEGER(KIND)` if KIND is present and of default-kind `INTEGER` otherwise.

Example:

      program test_floor
          real :: x = 63.29
          real :: y = -63.59
          print *, floor(x) ! returns 63
          print *, floor(y) ! returns -64
      end program test_floor

See also:

  CEILING, NINT